Skip to main content
Create and submit a SimplePipeline
curl --request POST \
  --url https://api.ionworks.com/simple_pipelines \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "config": {},
  "name": "<string>",
  "description": "<string>",
  "options": {
    "live_progress_updates": true
  }
}
'
{
  "id": "<string>",
  "project_id": "<string>",
  "organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "config_path": "<string>",
  "user_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "job_id": "<string>",
  "error": "<string>",
  "created_by_email": "<string>",
  "result": {}
}

Body

application/json

Request body for creating a SimplePipeline.

project_id
string
required

Project ID to associate the pipeline with

config
Config · object
required

Pipeline configuration with elements dict. At most one datafit/validation element, any number of cheap elements.

name
string | null

Optional human-readable name for the pipeline

Maximum string length: 255
description
string | null

Optional human-readable description for the pipeline

options
PipelineOptions · object

Runtime execution options (e.g. live_progress_updates). Submission metadata, not stored in the pipeline config.

Response

Successful Response

Full model for detail responses and DB records.

id
string
required
project_id
string
required
organization_id
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
created_at
string<date-time>
required
updated_at
string<date-time>
required
config_path
string
required
user_id
string | null
name
string | null
description
string | null
job_id
string | null
error
string | null
error_code
enum<string> | null

Machine-readable error codes for jobs.

Available options:
CONFIGURATION_ERROR,
SOLVER_ERROR,
EXECUTION_TIMEOUT,
SUBMISSION_FAILED,
INTERNAL_ERROR
created_by_email
string | null
result
Result · object